#include <Adafruit_NeoPixel.h>

#define PIN D2
#define NUMPIXELS 8

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  pixels.begin();
  pixels.show();
}

void loop() {
  // Phase 1: Dramatic red sweep
  for (int i = 0; i < NUMPIXELS; i++) {
    pixels.setPixelColor(i, pixels.Color(255, 0, 0));
    pixels.show();
    delay(80);
  }

  delay(300);  // pause for effect

  // Phase 2: Switch to electric blue chase
  for (int i = 0; i < NUMPIXELS; i++) {
    pixels.setPixelColor(i, pixels.Color(0, 0, 255));
    if (i > 0) pixels.setPixelColor(i - 1, pixels.Color(0, 0, 0)); // turn off previous
    pixels.show();
    delay(60);
  }

  delay(200);

  // Phase 3: Sparkle finale
  for (int j = 0; j < 25; j++) {
    int pixelIndex = random(NUMPIXELS);
    pixels.setPixelColor(pixelIndex, pixels.Color(255, 255, 255)); // white sparkle
    pixels.show();
    delay(50);
    pixels.setPixelColor(pixelIndex, 0); // off again
  }

  pixels.clear(); 
  pixels.show(); 
  delay(1000); // dramatic pause before looping again
}